Skip to main content
POST
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
/
job-details
Create Employee Job Details
curl --request POST \
  --url https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/job-details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/job-details"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/job-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "employeeId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "employmentCountry": "DE",
  "isSeasonalWorker": true,
  "jobTitle": "<string>",
  "jobDescription": "<string>",
  "occupationCode": "<string>",
  "contractedWeeklyHours": 40,
  "contractedWeekdays": [],
  "contractedToOtherCompany": false,
  "worksiteId": "<string>",
  "department": "<string>",
  "otherJobs": [
    {
      "employmentCountry": "DE",
      "employerName": "<string>",
      "employmentStartDate": "2023-12-25",
      "monthlyGrossIncome": "<string>"
    }
  ],
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
employee_id
required

Body

application/json

Schema for job-related data of a German employee. Supports both standalone and integrated requests.

employmentCountry
string
default:DE
Allowed value: "DE"
jobType
enum<string> | null

EN: Employment type | DE: Beschäftigungsart

Available options:
Full Time Indefinite Term,
Full Time Fixed Term,
Part Time Indefinite Term,
Part Time Fixed Term
employmentStatus
enum<string> | null

EN: Employee type | DE: Mitarbeitertyp

Available options:
Employee,
Mini Jobber,
Midi Jobber,
Apprentice,
Intern,
Werkstudent,
Temporary Worker
isSeasonalWorker
boolean | null
default:false

EN: Is seasonal worker? | DE: Ist Saisonarbeitnehmer?

jobTitle
string | null

EN: Job title | DE: Berufsbezeichnung

jobDescription
string | null

EN: Job description | DE: Stellenbeschreibung

schoolEducation
enum<string> | null

EN: School education | DE: Höchster allgemeinbildender Schulabschluss

Available options:
Ohne Schulabschluss,
Haupt-/Volksschulabschluss,
Mittlere Reife oder gleichwertiger Abschluss,
Abitur / Fachabitur,
Abschluss unbekannt
professionalEducation
enum<string> | null

EN: Professional education | DE:Höchster berufsbildender Ausbildungsabschluss

Available options:
Ohne beruflichen Ausbildungsabschluss,
Abschluss einer anerkannten Berufsausbildung,
Meister-/Techniker- oder gleichwertiger Fachschulabschluss,
Bachelor,
Diplom/Magister/Master/Staatsexamen,
Promotion,
Abschluss unbekannt
occupationCode
string | null

EN: Occupation code | DE: Tätigkeitsschlüssel

contractedWeeklyHours
integer | null
default:40

EN: Contracted weekly hours | DE: Vertraglich vereinbarte Wochenstunden

contractedWeekdays
enum<string>[] | null

EN: Contracted weekdays | DE: Vertraglich vereinbarte Wochentage

Days of the week.

Available options:
Monday,
Tuesday,
Wednesday,
Thursday,
Friday,
Saturday,
Sunday
contractedToOtherCompany
boolean
default:false

EN: Contracted to another company | DE: Vertrag mit anderem

worksiteId

EN: Work location | DE: Arbeitsort

department
string | null

EN: Department | DE: Abteilung

otherJobs
MultipleJobDetails · object[] | null

EN: Other jobs | DE: Andere Beschäftigungen

validFrom
string<date>

EN: Valid from date | DE: Gültig ab Datum

validTo
string<date> | null

EN: Valid to date | DE: Gültig bis Datum

Response

Successful Response

Response model for job details with metadata fields.

employeeId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
id
required
employmentCountry
string
default:DE
Allowed value: "DE"
jobType
enum<string> | null

Employment types recognized in Germany.

Available options:
Full Time Indefinite Term,
Full Time Fixed Term,
Part Time Indefinite Term,
Part Time Fixed Term
employmentStatus
enum<string> | null

Employee types recognized in Germany.

Available options:
Employee,
Mini Jobber,
Midi Jobber,
Apprentice,
Intern,
Werkstudent,
Temporary Worker
isSeasonalWorker
boolean | null
jobTitle
string | null
jobDescription
string | null
schoolEducation
enum<string> | null

Highest school education completed. 6th digit in Tagesschlüssel.

Available options:
Ohne Schulabschluss,
Haupt-/Volksschulabschluss,
Mittlere Reife oder gleichwertiger Abschluss,
Abitur / Fachabitur,
Abschluss unbekannt
professionalEducation
enum<string> | null

Highest vocational education completed. 7th digit in Tagesschlüssel.

Available options:
Ohne beruflichen Ausbildungsabschluss,
Abschluss einer anerkannten Berufsausbildung,
Meister-/Techniker- oder gleichwertiger Fachschulabschluss,
Bachelor,
Diplom/Magister/Master/Staatsexamen,
Promotion,
Abschluss unbekannt
occupationCode
string | null
contractedWeeklyHours
integer | null
default:40
contractedWeekdays
enum<string>[] | null

Days of the week.

Available options:
Monday,
Tuesday,
Wednesday,
Thursday,
Friday,
Saturday,
Sunday
contractedToOtherCompany
boolean
default:false

EN: Contracted to another company | DE: Vertrag mit anderem

worksiteId
string | null
department
string | null
otherJobs
MultipleJobDetails · object[] | null
validFrom
string<date>

EN: Valid from date | DE: Gültig ab Datum

validTo
string<date> | null

EN: Valid to date | DE: Gültig bis Datum